﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:rx="http://www.renderx.com/XSL/Extensions">
  <xsl:include href="Barcodes/BarcodeUtility.xsl" />
  <xsl:include href="Barcodes/code128.xsl" />
  <xsl:include href="Barcodes/code128-svg.xsl" />
  <!--Parameter for conditional rendering form background-->
  <xsl:param name="render-background" select="1" />
  <xsl:output method="xml" version="1.0" encoding="UTF-8" />
  <xsl:template match="/">
    <fo:root hyphenate="false">
      <rx:meta-info>
        <rx:meta-field name="creator" value="RenderX VisualXSL" />
      </rx:meta-info>
      <fo:layout-master-set>
        <fo:simple-page-master master-name="page1" page-height="792pt" page-width="612pt">
          <fo:region-body margin="0pt" />
          <fo:region-before extent="792pt" background-image="url(&quot;4251-365-13-09_np0001.pdf&quot;)" />
        </fo:simple-page-master>
        <fo:simple-page-master master-name="page2" page-height="792pt" page-width="612pt">
          <fo:region-body margin="0pt" />
          <fo:region-before extent="792pt" background-image="url(&quot;4251-365-13-09_np0002.pdf&quot;)" />
        </fo:simple-page-master>
      </fo:layout-master-set>
      <xsl:apply-templates mode="form" />
    </fo:root>
  </xsl:template>
  <xsl:template match="FORM/RECORD" mode="form">
    <fo:page-sequence master-reference="page1" font-family="Times New Roman" font-size="12pt" color="black">
      <fo:flow flow-name="xsl-region-body">
        <xsl:apply-templates select="." mode="page1" />
        <fo:block id="terminator" />
      </fo:flow>
    </fo:page-sequence>
    <fo:page-sequence master-reference="page2" font-family="Arial" font-size="12pt" color="black">
      <fo:flow flow-name="xsl-region-body">
        <xsl:apply-templates select="." mode="page2" />
        <fo:block id="terminator" />
      </fo:flow>
    </fo:page-sequence>
  </xsl:template>
  <xsl:template match="FORM/RECORD" mode="page1">
    <!--============== Next page ============-->
    <fo:block font-size="0pt" line-height="0pt" break-before="page">
      <fo:leader leader-length="0pt" />
    </fo:block>
    <!--============== Call templates for the content of 1 page-sequence ============-->
    <xsl:apply-templates select="." mode="page-content1" />
  </xsl:template>
  <xsl:template match="FORM/RECORD" mode="page2">
    <!--============== Next page ============-->
    <fo:block font-size="0pt" line-height="0pt" break-before="page">
      <fo:leader leader-length="0pt" />
    </fo:block>
    <!--============== Call templates for the content of 2 page-sequence ============-->
    <xsl:apply-templates select="." mode="page-content2" />
  </xsl:template>
  <xsl:template match="FORM/RECORD" mode="page-content1">
    <fo:block-container position="absolute" height="16pt" width="80pt" top="764.9pt" left="80.99pt" font-size="8pt">
      <fo:block>
        <fo:inline>
          <xsl:value-of select="FORMID/." />
        </fo:inline>
      </fo:block>
    </fo:block-container>
    <fo:block-container position="absolute" height="15.75pt" width="152.98pt" top="764.9pt" left="413.95pt" font-weight="bold">
      <fo:block>
        <fo:inline>
          <xsl:value-of select="codBarText/." />
        </fo:inline>
      </fo:block>
    </fo:block-container>
    <fo:block-container position="absolute" height="63.75pt" width="112.5pt" top="0.1in" left="5.42in">
      <fo:block>
        <!--subset='C'  height='0.5in' print-text='false'-->
        <fo:block>
          <fo:instream-foreign-object content-width="100%" content-height="100%">
            <xsl:call-template name="barcode-code128">
              <xsl:with-param name="value" select="codBar/." />
              <xsl:with-param name="subset">A</xsl:with-param>
              <xsl:with-param name="makeUCC">false</xsl:with-param>
              <xsl:with-param name="module">0.010in</xsl:with-param>
              <xsl:with-param name="height">0.5in</xsl:with-param>
            </xsl:call-template>
          </fo:instream-foreign-object>
        </fo:block>
      </fo:block>
    </fo:block-container>
    <fo:block-container position="absolute" height="0.25in" width="2.5in" top="1.04in" left="5.52in" font-weight="bold">
      <fo:block>
        <fo:inline>
          <xsl:value-of select="codBarText/." />
        </fo:inline>
      </fo:block>
    </fo:block-container>
    <fo:block-container position="absolute" height="15.75pt" width="215.97pt" top="152.98pt" left="44.99pt">
      <fo:block>
        <fo:inline>
          <xsl:value-of select="nom/." />
        </fo:inline>
      </fo:block>
    </fo:block-container>
    <fo:block-container position="absolute" height="46.49pt" width="215.97pt" top="170.98pt" left="44.99pt">
      <fo:block>
        <fo:inline>
          <xsl:value-of select="Adresse1/." />
        </fo:inline>
      </fo:block>
    </fo:block-container>
    <fo:block-container position="absolute" height="15.75pt" width="215.97pt" top="217.47pt" left="44.99pt">
      <fo:block>
        <fo:inline>
          <xsl:value-of select="Adresse2/." />
        </fo:inline>
      </fo:block>
    </fo:block-container>
    <xsl:apply-templates mode="page-content1" />
  </xsl:template>
  <xsl:template match="text()" mode="page-content1">
    <!--Suppress the default output for text of unprocessed elements-->
  </xsl:template>
  <xsl:template match="text()" mode="page-content2">
    <!--Suppress the default output for text of unprocessed elements-->
  </xsl:template>
  <xsl:template match="text()" mode="form">
    <!--Suppress the default output for text of unprocessed elements-->
  </xsl:template>
  <xsl:template match="text()">
    <!--Suppress the default output for text of unprocessed elements-->
  </xsl:template>
</xsl:stylesheet>